@import url("https://fonts.googleapis.com/css2?family=Noto+Sans:ital,wght@0,100..900;1,100..900&display=swap");

* {
  box-sizing: border-box;
  margin: 0;
}

body {
  font-family: "Noto Sans", system-ui, -apple-system, BlinkMacSystemFont,
    "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue",
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
}

.container {
  min-height: 812px;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  margin: 0 auto;
  min-height: 100vh;
  background-image: linear-gradient(to bottom, #f9fafb, #d2d6db);
  padding-top: 200px;
  padding-left: 17.5px;
  padding-right: 17.5px;
}

@media screen and (min-width: 768px) {
  .container {
    min-height: 1024px;
  }
}

@media screen and (min-width: 1440px) {
  .container {
    min-height: 768px;
  }
}

.testimonial-card {
  background: #ffffff;
  padding: 24px;
  display: flex;
  flex-direction: column;
  gap: 16px;
  box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.1), 0px 1px 2px rgba(0, 0, 0, 0.06);
  border-radius: 8px;
  width: 340px;

  font-size: 16px;
  line-height: 24px;
  color: #525252;
}

.testimonial-card__author {
  display: flex;
  gap: 16px;
  align-items: center;
}

.testimonial-card__author img {
  width: 48px;
  height: 48px;
  border-radius: 50%;
}

.testimonial-card__author__info {
  display: flex;
  flex-direction: column;
  gap: 1px;
  min-width: 0;
}

.testimonial-card__author__info__name {
  font-weight: 600;
  font-size: 18px;
  line-height: 28px;
  color: #171717;
}

.testimonial-card__author__info__username {
  font-weight: 400;
  font-size: 14px;
  line-height: 20px;
}

.testimonial-card__author__info__name,
.testimonial-card__author__info__username {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}
